Package Details: linux-amd 6.7.v.6-1

Git Clone URL: https://aur.archlinux.org/linux-amd.git (read-only, click to copy)
Package Base: linux-amd
Description: Linux kernel aimed at the ZNVER4/MZEN4 AMD Ryzen CPU based hardware
Upstream URL: https://www.kernel.org/
Licenses: GPL2
Submitter: eggz
Maintainer: eggz (NhaMeh)
Last Packager: eggz
Votes: 29
Popularity: 0.087247
First Submitted: 2019-11-10 15:20 (UTC)
Last Updated: 2024-02-23 10:28 (UTC)

Pinned Comments

eggz commented on 2023-05-04 16:38 (UTC)

GCC13.1 is mainlined in arch, so this means znver4 support can kick off on this kernel. The graysky compile patches have been updated too.

This kernel now natively supports the znver4 arch, but this kernel will most likely keep working on all AMD ryzen hardware. It's better to be able to address certain small perks or issues per architecture now and in the future.

If you use znver3 based hardware, please use linux-amd-znver3
If you use znver2 based hardware, please use linux-amd-znver2
If you use raven based hardware, please use linux-amd-raven

eggz commented on 2019-11-10 15:23 (UTC) (edited on 2020-02-18 12:08 (UTC) by eggz)

Tired of compiling? Use this binary repo instead! Add this at the end of /etc/pacman.conf :

[linuxkernels]
Server = http://nhameh.ovh/$repo/$arch
SigLevel = Optional TrustAll

Latest Comments

1 2 3 4 5 6 .. 34 Next › Last »

eggz commented on 2024-01-26 14:43 (UTC)

ah right, need to pull that patch since they finally fixed it, ty for telling.

teJECSke commented on 2024-01-26 13:50 (UTC)

Switched to a new branch 'makepkg' ==> prepare() indítása... -> Implementing custom kernel patches/reverts Applying ../flushbyasid.patch error: patch failed: arch/x86/kvm/svm/nested.c:247 error: arch/x86/kvm/svm/nested.c: patch does not apply -> error making: linux-amd-exit status 2 -> Failed to install the following packages. Manual intervention is required: linux-amd-headers - exit status 2 linux-amd - exit status 2

eggz commented on 2024-01-20 11:07 (UTC)

FYI, the revert does still not seem to be in 6.7.1 yet, as expected upstream is just sitting it out. our revert will stay.

TonatiuhMira commented on 2024-01-17 23:49 (UTC)

Thank you @eggz, just got home, updated to linux-amd-6.7.v.0-3 and I confirm 5Ghz wifi connects immediately and without issue.

Thanks for reverting the regression, and thanks again for the kernel! And thnx to @perilla for finding the upstream issue discussion.

Hope they solve it upstream soon.

eggz commented on 2024-01-17 10:03 (UTC)

@tona i tried to revert the commit (thx 2 perilla), can you test?

TonatiuhMira commented on 2024-01-17 04:05 (UTC)

@eggz & @perilla Thank you. This issue is quite annoying, as it is affecting all my pc's now, given that both linux and linux-zen kernel have bumped to 6.7.

eggz commented on 2024-01-16 23:34 (UTC)

@perilla nice find. If upstream sits this out for the next version I might patch it myself.

perilla commented on 2024-01-16 20:49 (UTC)

About wifi 5G connectivity problems: https://lore.kernel.org/linux-wireless/dae4bb032ad8b0c9fa6547de5e869e51f9f6e766.camel@sipsolutions.net/T/

TonatiuhMira commented on 2024-01-08 09:13 (UTC) (edited on 2024-01-08 09:18 (UTC) by TonatiuhMira)

Hi, sorry if this is not the right place to report an issue, I'm actually using the binary from the linuxkernels repo, but I see no other place to do so.

Seems like something broke with the mt7921e wifi driver in the last update (Going from v. 6.6.v.10 to 6.7.v.0-1): Connection to 5G networks is not possible, journal relevant logs are:

wpa_supplicant[844]: wlp11s0: SME: Trying to authenticate with 0c:80:63:d2:61:bb (SSID='DjangoNandoJane5' freq=5765 MHz)

wpa_supplicant[844]: wlp11s0: SME: Authentication request to the driver failed

wpa_supplicant[844]: wlp11s0: CTRL-EVENT-SSID-TEMP-DISABLED id=0 ssid="DjangoNandoJane5" auth_failures=1 duration=10 reason=CONN_FAILED

NetworkManager[581]: <info> [1704703484.7710] device (wlp11s0): supplicant interface state: scanning -> disconnected

NetworkManager[581]: <info> [1704703484.7711] device (p2p-dev-wlp11s0): supplicant management interface state: scanning -> disconnected

kernel: wlp11s0: AP is in CSA process, reject auth

These messages repeat 3 times before it gives up. dmesg shows "wlp11s0: AP is in CSA process, reject auth".

Connection to 2.4G networks is Ok, though. Connection to 5G was ok in 6.6.v.10.

Tell me if more information/logs if required/useful.

Greetings, and thanks for this kernel.